Package org.eclipse.lemminx.uriresolver

## Class CacheResourceDownloadedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.lemminx.uriresolver.CacheResourceException
        - - org.eclipse.lemminx.uriresolver.CacheResourceDownloadedException

All Implemented Interfaces:
  `Serializable`

    public class CacheResourceDownloadedException
    extends CacheResourceException

Exception thrown when a resource (XML Schema, DTD) has error while downloading.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `CacheResourceDownloadedException.CacheResourceDownloadedError`

### Constructor Summary

Constructors
`CacheResourceDownloadedException​(String resourceURI, Path resourceCachePath, String cause, Throwable e)`
`CacheResourceDownloadedException​(String resourceURI, Path resourceCachePath, String cause, CacheResourceDownloadedException.CacheResourceDownloadedError errorCode, Throwable e)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CacheResourceDownloadedException.CacheResourceDownloadedError` `getErrorCode()`

### Methods inherited from class org.eclipse.lemminx.uriresolver.CacheResourceException

`getResourceURI, isDTD`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheResourceDownloadedException

    public CacheResourceDownloadedException​(String resourceURI,
                                            Path resourceCachePath,
                                            String cause,
                                            Throwable e)

#### CacheResourceDownloadedException

    public CacheResourceDownloadedException​(String resourceURI,
                                            Path resourceCachePath,
                                            String cause,
                                            CacheResourceDownloadedException.CacheResourceDownloadedError errorCode,
                                            Throwable e)

### Method Detail

#### getErrorCode

    public CacheResourceDownloadedException.CacheResourceDownloadedError getErrorCode()